<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/category.php';
date_default_timezone_set('Asia/Rangoon');
session_start();

$database = new Database();
$db = $database->getConnection();
 
$category = new Category($db);
$data = json_decode(file_get_contents("php://input"));

$category->code = $data->code;
$category->category = $data->category;	
$category->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";	
$category->entry_date_time = date("Y-m-d H:i:s");	

if($data->id){
	$category->id = $data->id;
	if($category->update()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($category->exist()){
			$msg_arr = array(
				"message" => "duplicate"
			);
		}else if($category->create()){
			$msg_arr = array(
				"message" => "created"
			);
		}else{
			$msg_arr = array(
				"message" => "errorc"
			);	
		}
}

echo json_encode($msg_arr);
?>